Bug 451232 - Hibernation not working in eeePC
Hibernation not working in eeePC
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-06-13 11:04 EDT by Carlo Raudino
Modified: 2015-03-04 20:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 23:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after hibernate (22.54 KB, text/plain)
2008-06-14 08:12 EDT, Carlo Raudino
no flags Details

  None (edit)
Description Carlo Raudino 2008-06-13 11:04:52 EDT
Description of problem: Hibernation doesn't work in eeePC. After blinking the
cursor for a minute (I think is very slow to write to the SD in card reader) it
shuts down...ok.
But booting eeepc, it seems to ignore the resume from hibernation..... no
errors, nothing...just a normal boot.... 


Version-Release number of selected component (if applicable):
fedora 9 fully updated

  
Actual results:
No way or workaround to make hibernate work

Expected results:
Hibernating is time saving and energy saving, so it would be nice to have it
working.
Comment 1 Bastien Nocera 2008-06-13 20:42:11 EDT
Could you attach the log from the kernel when it boots and fails to resume? The
output of dmesg should have some information about why it discounts the
hibernation data in the swap.

Also, could you attach the output of "fdisk -l", so that we can check whether
there's enough swap taken aside for the hibernation data?
Comment 2 Carlo Raudino 2008-06-14 08:12:44 EDT
Created attachment 309358 [details]
dmesg after hibernate
Comment 3 Carlo Raudino 2008-06-14 08:13:49 EDT
Here is attached the dmesg trying to hibernate with the last rawhide kernel
(same problem of stable kernel...)

fdisk -l  OUTPUT:

Disk /dev/sda: 4001 MB, 4001292288 bytes
255 heads, 63 sectors/track, 486 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000acaa9

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1         484     3887698+  83  Linux
/dev/sda3             485         485        8032+   c  W95 FAT32 (LBA)
/dev/sda4             486         486        8032+  ef  EFI (FAT-12/16/32)

Disk /dev/sdb: 2045 MB, 2045247488 bytes
255 heads, 63 sectors/track, 248 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x0001c99b

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1          78      626503+  82  Linux swap / Solaris
Comment 4 Till Maas 2008-06-16 17:58:14 EDT
When you boot without the graphical screen you should see some information about
the swap partition the kernel tries to access for resume, can you please take a
look for this? You should not need to hibernate to see the message.
Comment 5 Till Maas 2008-07-31 16:30:04 EDT
Please provide the information I requested in comment 4.
Comment 6 David Nalley 2008-08-23 23:31:57 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.